## golang-github-k0swe-wsjtx-go 4.0.1

=== Makefile ===
.PHONY: all
all: test

.PHONY: clean
clean:
	rm ../golang-github-k0swe-wsjtx-go*

.PHONY: test
test:
	go test ./...
	go vet ./...

## golang-github-k0swe-wsjtx-go 1.1.0

=== debian/changelog ===
golang-github-k0swe-wsjtx-go (1.1.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing
  * Add myself to Uploaders
  * Bump Standards-Version to 4.5.1

 -- tony mancill <tmancill@debian.org>  Sun, 06 Dec 2020 08:14:21 -0800

golang-github-k0swe-wsjtx-go (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: 975583)

 -- Chris Keller <xylo04@gmail.com>  Mon, 23 Nov 2020 12:56:22 -0700

=== debian/control ===
Source: golang-github-k0swe-wsjtx-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Chris Keller <xylo04@gmail.com>,
           tony mancill <tmancill@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-leemcloughlin-jdn-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-k0swe-wsjtx-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-k0swe-wsjtx-go.git
Homepage: https://github.com/k0swe/wsjtx-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/k0swe/wsjtx-go

Package: golang-github-k0swe-wsjtx-go-dev
Architecture: all
Depends: ${misc:Depends}
Description: Golang binding for the WSJT-X amateur radio software's UDP interface (library)
 Golang binding for the WSJT-X amateur radio software's UDP communication
 interface. This library supports receiving and sending all WSJT-X message
 types up through WSJT-X v2.3.0.
 .
 This is meant to be a fairly thin binding
 API, so familiarity with WSJT-X's NetworkMessage.hpp
 (https://sourceforge.net/p/wsjt/wsjtx/ci/8f99fcce/tree/Network/NetworkMessage.hpp)
 is recommended.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd/*
export DH_GOLANG_EXCLUDES_ALL := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/k0swe/wsjtx-go.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-k0swe-wsjtx-go-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/k0swe/wsjtx-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-k0swe-wsjtx-go 4.0.1

=== debian/changelog ===
golang-github-k0swe-wsjtx-go (4.0.1-2) unstable; urgency=medium

  * Team upload.
  * Raise Standards-Version to 4.7.0 (no special changes for this).
  * This is really a no-changes upload to test buildability.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Nov 2024 01:20:00 +0100

golang-github-k0swe-wsjtx-go (4.0.1-1) unstable; urgency=medium

  [ Chris Keller ]
  * New upstream version 4.0.1

  [ tony mancill ]
  * Freshen years in debian/copyright

 -- Chris Keller <xylo04@gmail.com>  Fri, 10 Jun 2022 22:13:44 -0600

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-leemcloughlin-jdn-dev
-Standards-Version: 4.5.1
+               golang-github-leemcloughlin-jdn-dev,
+               golang-github-mazznoer-csscolorparser-dev,
+               golang-github-stretchr-testify-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-k0swe-wsjtx-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-k0swe-wsjtx-go.git
 Homepage: https://github.com/k0swe/wsjtx-go
@@ -22,9 +24,9 @@
 Description: Golang binding for the WSJT-X amateur radio software's UDP interface (library)
  Golang binding for the WSJT-X amateur radio software's UDP communication
  interface. This library supports receiving and sending all WSJT-X message
- types up through WSJT-X v2.3.0.
+ types up through WSJT-X v2.5.2.
  .
  This is meant to be a fairly thin binding
  API, so familiarity with WSJT-X's NetworkMessage.hpp
- (https://sourceforge.net/p/wsjt/wsjtx/ci/8f99fcce/tree/Network/NetworkMessage.hpp)
+ (https://sourceforge.net/p/wsjt/wsjtx/ci/wsjtx-2.5.2/tree/Network/NetworkMessage.hpp)
  is recommended.
